| Flutter Impeller |

Public Member Functions | Protected Member Functions | List of all members
impeller::TypographerContext Class Referenceabstract

The graphics context necessary to render text. More...

`#include <typographer_context.h>`

Inheritance diagram for impeller::TypographerContext:

## Public Member Functions
virtual | ~TypographerContext ()
virtual bool | IsValid () const
virtual std::shared_ptr< GlyphAtlasContext > | CreateGlyphAtlasContext (GlyphAtlas::Type type) const =0
virtual std::shared_ptr< GlyphAtlas > | CreateGlyphAtlas (Context &context, GlyphAtlas::Type type, HostBuffer &host_buffer, const std::shared_ptr< GlyphAtlasContext > &atlas_context, const FontGlyphMap &font_glyph_map) const =0

## Protected Member Functions
| TypographerContext ()
| Create a new context to render text that talks to an underlying graphics context. More...

## Detailed Description

The graphics context necessary to render text.

            This is necessary to create and reference resources related to
            rendering text on the GPU.

Definition at line 22 of file typographer_context.h.

## Constructor & Destructor Documentation

## ◆ ~TypographerContext()

impeller::TypographerContext::~TypographerContext | ( |  | ) |
| virtualdefault

## ◆ TypographerContext()

impeller::TypographerContext::TypographerContext | ( |  | ) |
| protected

Create a new context to render text that talks to an underlying graphics context.

Definition at line 11 of file typographer_context.cc.

11 {
12 is_valid_ = true;
13 }

## Member Function Documentation

## ◆ CreateGlyphAtlas()

virtual std::shared_ptr<GlyphAtlas> impeller::TypographerContext::CreateGlyphAtlas | ( | Context & | context,
|  | GlyphAtlas::Type | type,
|  | HostBuffer & | host_buffer,
|  | const std::shared_ptr< GlyphAtlasContext > & | atlas_context,
|  | const FontGlyphMap & | font_glyph_map
| ) |  | const
| pure virtual

Implemented in impeller::TypographerContextSTB, and impeller::TypographerContextSkia.

Referenced by impeller::testing::CreateGlyphAtlas().

## ◆ CreateGlyphAtlasContext()

virtual std::shared_ptr<GlyphAtlasContext> impeller::TypographerContext::CreateGlyphAtlasContext | ( | GlyphAtlas::Type | type | ) | const
| pure virtual

Implemented in impeller::TypographerContextSTB, and impeller::TypographerContextSkia.

## ◆ IsValid()

bool impeller::TypographerContext::IsValid | ( |  | ) | const
| virtual

Definition at line 17 of file typographer_context.cc.

17 {
18 return is_valid_;
19 }

Referenced by impeller::TypographerContextSkia::CreateGlyphAtlas(), and impeller::TypographerContextSTB::CreateGlyphAtlas().

The documentation for this class was generated from the following files:

- impeller/typographer/typographer_context.h
- impeller/typographer/typographer_context.cc